> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create branch



## OpenAPI

````yaml POST /v1/agents/{agentId}/branches
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Branches
      summary: Create branch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBranchBody'
      responses:
        '201':
          description: Branch created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBranchResponse'
components:
  schemas:
    CreateBranchBody:
      type: object
      properties:
        branchName:
          type: string
          minLength: 1
          maxLength: 100
      required:
        - branchName
      additionalProperties: false
      title: CreateBranchBody
    CreateBranchResponse:
      type: object
      properties:
        branchId:
          type: string
        sequenceId:
          type: string
      required:
        - branchId
        - sequenceId
      additionalProperties: false
      title: CreateBranchResponse
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````